轻小说详情

GET/v3/light-novels/{id}catalog:read

调试

未配置令牌设置令牌后才能发送请求
路径参数

number

GET https://api.hikarinagi.org/v3/light-novels/{id}

响应字段

covers *OpenCoverDto[]封面列表,按得票数由高到低排序
created_at *string条目创建时间
id *number轻小说 ID
name *string原名
name_cn *string | null中文名
novel_status *NovelStatus连载状态
ABANDONED
休刊
FINISHED
已完结
PAUSED
休刊
SERIALIZING
连载中
nsfw *boolean是否为NSFW 内容
other_names *string[]别名列表
publication_date *string | null首卷出版日期
rating *OpenRatingDto评分统计
revised_at *string | null最近一次修订通过审核的时间
summary *string | null原文简介
summary_cn *string | null简介译文
tags *OpenTagDto[]标签列表
total_volumes *number已收录的分卷数
updated_at *string条目最后更新时间

示例

curl "https://api.hikarinagi.org/v3/light-novels/1" \
-H "Authorization: Bearer $ACCESS_TOKEN"

响应示例

{
"covers": [
{
"height": 1,
"sexual": 1,
"url": "path/to/asset.jpg",
"violence": 1,
"votes": 1,
"width": 1
}
],
"created_at": "2026-08-02T00:00:00.000Z",
"id": 1,
"name": "string",
"name_cn": "string",
"novel_status": "SERIALIZING",
"nsfw": false,
"other_names": [
"string"
],
"publication_date": "string",
"rating": {
"count": {
"1": 1,
"2": 1,
"3": 1,
"4": 1,
"5": 1,
"6": 1,
"7": 1,
"8": 1,
"9": 1,
"10": 1
},
"score": 1,
"total": 1
},
"revised_at": "2026-08-02T00:00:00.000Z",
"summary": "string",
"summary_cn": "string",
"tags": [
{
"likes": 1,
"name": "string"
}
],
"total_volumes": 1,
"updated_at": "2026-08-02T00:00:00.000Z"
}

响应状态

200成功
Hikarinagi

你和同好的ACGN社区

© 2026 Hikarinagi · Some Rights Reserved ·